package com.gyee.frame.mapper.auto;


import java.util.List;

import com.gyee.frame.model.auto.GyeePermission;
import com.gyee.frame.model.auto.GyeePermissionExample;
import org.apache.ibatis.annotations.Param;

/**
 *  GyeePermissionMapper
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-04-16 14:55:15
 */
public interface GyeePermissionMapper {
      	   	      	      	      	      	      	      	      	      
    long countByExample(GyeePermissionExample example);

    int deleteByExample(GyeePermissionExample example);
		
    int deleteByPrimaryKey(String id);
		
    int insert(GyeePermission record);

    int insertSelective(GyeePermission record);

    List<GyeePermission> selectByExample(GyeePermissionExample example);
		
    GyeePermission selectByPrimaryKey(String id);
		
    int updateByExampleSelective(@Param("record") GyeePermission record, @Param("example") GyeePermissionExample example);

    int updateByExample(@Param("record") GyeePermission record, @Param("example") GyeePermissionExample example); 
		
    int updateByPrimaryKeySelective(GyeePermission record);

    int updateByPrimaryKey(GyeePermission record);
    
    List<GyeePermission> queryPermissionByRoleId(String userid);
  	  	
}